Skip to content

GET Service Credential.

GET
/api/web/namespaces/{namespace}/service_credentials/{name}
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/service_credentials/example \
--header 'Authorization: <Authorization>'

GET implements service credential query by name. Returns service credential object. Query will look into tenants system namespace for service credential by name.

Examples of this operation.

namespace
required
string

Namespace

x-required Value of namespace is always “system”.

name
required
string

Credential name

x-required Name of API credential.

A successful response.

Media typeapplication/json
Get service credentials response

Response of GET service credentials request with a given name.

object
active
Active

Possibility to deactivate credential with no deletion.

boolean format: boolean
create_timestamp
Create timestamp

Create time of service credential.

string format: date-time
<= 1024 characters
expiry_timestamp
Expiry time

Expiry time of service credential.

string format: date-time
<= 1024 characters
name
Credential name

Name of service credential object.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace of service credential object.

string
>= 6 characters <= 1024 characters
namespace_access
object
namespace_role_map
Namespace Role Map

List of all the roles for the entity in the namespaces Required: YES.

object
type
string
default: API_CERTIFICATE
Allowed values: API_CERTIFICATE KUBE_CONFIG API_TOKEN SERVICE_API_TOKEN SERVICE_API_CERTIFICATE SERVICE_KUBE_CONFIG SITE_GLOBAL_KUBE_CONFIG SCIM_API_TOKEN SERVICE_SITE_GLOBAL_KUBE_CONFIG
uid
uid of the record

Uid of service credential object.

string format: uuid
>= 36 characters <= 1024 characters
user_email
Email of user

Email of the service user attached to service credential .

string
<= 1024 characters
user_group_names
User Groups Names

User group list associated to this service credential.

Array<string>
Example
{
"type": "API_CERTIFICATE"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example